Advice needed on driver upgrade

Questions and Answers : Unix/Linux : Advice needed on driver upgrade
Message board moderation

To post messages, you must log in.

AuthorMessage
Profile Joseph Stateson Project Donor
Volunteer tester
Avatar

Send message
Joined: 27 May 99
Posts: 281
Credit: 70,759,933
RAC: 3
United States
Message 2024394 - Posted: 22 Dec 2019, 15:59:35 UTC

Up until recently (server problem) was running the seti special app that includes the 10.2 CUDA. Looking at the make file it appears to be a static build so it has all that is needed from the CUDA SDK. I assume it does not need the driver's CUDA. Earlier today I got a message that a new driver was available but the .89 is the same as the SDK that was used for the SETI app build.
Get:1 file:/var/cuda-repo-10-2-local-10.2.89-440.33.01  InRelease
Ign:1 file:/var/cuda-repo-10-2-local-10.2.89-440.33.01  InRelease
Get:2 file:/var/cuda-repo-10-2-local-10.2.89-440.33.01  Release [574 B]
Get:2 file:/var/cuda-repo-10-2-local-10.2.89-440.33.01  Release [574 B]


I assume I do not need it.
However, this system also runs GPUGRID on the rare occasion that their server has data. It does not appear they use a static build and looking at one of the files in their boinc slot I see the following header info
// Generated by NVIDIA NVVM Compiler
//
// Compiler Build ID: CL-24817639
// Cuda compilation tools, release 10.0, V10.0.130
// Based on LLVM 3.4svn
//
.version 6.3
.target sm_61


Was wondering if I should upgrade the driver to 10.2 for the GPUGRiD project.
ID: 2024394 · Report as offensive
Profile Joseph Stateson Project Donor
Volunteer tester
Avatar

Send message
Joined: 27 May 99
Posts: 281
Credit: 70,759,933
RAC: 3
United States
Message 2024436 - Posted: 22 Dec 2019, 19:28:04 UTC

Too late to edit post. Think I figured it out: GPUgrid has its own "OpenCL tools" in the project folder and uses "10" so any driver 10 or later should work. No need to upgrade to 10.2 for GPUgrid unless they start using 10.2
ID: 2024436 · Report as offensive

Questions and Answers : Unix/Linux : Advice needed on driver upgrade


 
©2020 University of California
 
SETI@home and Astropulse are funded by grants from the National Science Foundation, NASA, and donations from SETI@home volunteers. AstroPulse is funded in part by the NSF through grant AST-0307956.